/**
 *  '$RCSfile: NodeRecord.java,v $'
 *    Purpose: A Class that represents all node info from the database
 *  Copyright: 2000 Regents of the University of California and the
 *             National Center for Ecological Analysis and Synthesis
 *    Authors: Matt Jones
 *    Release: @release@
 *
 *   '$Author: bojilova $'
 *     '$Date: 2001/09/12 21:49:26 $'
 * '$Revision: 1.3 $'
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package edu.ucsb.nceas.metacat;

/**
 * A utility class that encapsulates a node and its data
 */
public class NodeRecord {
  public long nodeid;
  public long parentnodeid;
  public long nodeindex;
  public String nodename = null;
  public String nodeprefix = null;
  public String nodetype = null;
  public String nodedata = null;

  /**
   * Constructor
   */
  public NodeRecord(long nodeid, long parentnodeid, long nodeindex,
                    String nodetype, String nodename, String nodeprefix, 
                    String nodedata) {
    this.nodeid = nodeid;
    this.parentnodeid = parentnodeid;
    this.nodeindex = nodeindex;
    this.nodename = nodename;
    this.nodeprefix = nodeprefix;
    this.nodetype = nodetype;
    this.nodedata = nodedata;
  }
}
